﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LukaFilipic_PI
{
    public class MedSestra : Osoba
    {
        public Datum GodinaStaza { get; set; }
        public double Placa { get; set; }
        public MedSestra(string oib, string ime, string prezime, Datum godinaStaza, double placa) : base(oib, ime, prezime)
        {
            GodinaStaza = godinaStaza;
            Placa = placa;
        }

        public void Inekcija(ITreatable treat)
        {
            treat.Inekcija();
        }

        public void Lijek(ITreatable treat)
        {
            treat.DajLijek();
        }

        public void Previjanje(ITreatable treat)
        {
            treat.Previj();
        }

        public override string ToString()
        {
            return base.ToString() + $" {GodinaStaza} {Placa}";
        }
    }
}
